### Function

# Gimp palettes_get_list

#### Declaration [src]

    GimpPalette**
    gimp_palettes_get_list (
      const gchar* filter
    )

#### Description [src]

Retrieves a list of all of the available palettes

This procedure returns a complete listing of available palettes. Each palette returned can be used as input to `gimp_context_set_palette()`.

#### Parameters

`filter`

  Type: `const gchar*`

  An optional regular expression used to filter the list.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `GimpPalette*`

         The list of palettes.
         The returned value must be freed with g_free().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data container, but not the data inside it.